#!/usr/bin/python
# -*- coding: utf-8 -*-

'''
Definition - query string type
'''

TYPE_ENV_T = 'temperature'		# temperature
TYPE_ENV_H = 'humidity'			# humidity
TYPE_ENV_C = 'co2'				# CO2
TYPE_ENV_E = 'electricity_spend'		# electricity
TYPE_ENV_G = 'gas_spend'				# gas

'''
Query Strings
'''

HOMES = "select f.home, f.access_key, f.schedule_group \
		from feedback_auth f \
		left join tablets t \
		on f.home = t.home \
		where t.deployed is not null \
		order by f.home asc"

ENERGY = "SELECT home, gas_spend, electricity_spend, timestamp \
		FROM navetas_reading \
		WHERE home = %d AND timestamp >= '%s' AND timestamp < '%s' \
		AND TIME(timestamp) >= '23:55:00' AND TIME(timestamp) < '23:59:59'"

TEMPERATURE = "SELECT d.home, d._id, d.room, d.type, t.temperature, t.sensor, t.timestamp \
			FROM device AS d \
			LEFT JOIN temperature AS t \
			ON d._id = t.device \
			WHERE d.home = %d AND t.timestamp >= '%s' AND t.timestamp <= '%s' \
			AND (d.room = 1 OR d.room = 3) AND t.sensor = 1 AND d.description not LIKE '%%co2%%' \
			ORDER BY t.device, t.timestamp asc"

CO2 = "SELECT d.home, d._id, d.room, d.type, c.value, c.sensor, c.timestamp \
	FROM device AS d \
	LEFT JOIN co2 AS c  \
	ON d._id = c.device \
	WHERE d.home = %d AND c.timestamp >= '%s' AND c.timestamp <= '%s' \
	AND d.room = 1 AND d.description LIKE '%%co2%%' \
	ORDER BY c.device, c.timestamp asc"

PLAY_LOG = "SELECT type, value, timestamp \
        FROM feedback_log \
        WHERE home = %d AND timestamp >= '%s' AND timestamp < '%s'"

ENV_QUERY_MAP = {TYPE_ENV_T:TEMPERATURE, 
				TYPE_ENV_H:'%s',
				TYPE_ENV_C:CO2}

ENV_COL_MAP = {TYPE_ENV_T:'temperature', 
			TYPE_ENV_H:'humidity',
			TYPE_ENV_C:'value'}

